Bug 519111 - Thunderbird throwing "GetDBView() is not defined" error.
Summary: Thunderbird throwing "GetDBView() is not defined" error.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 08:24 UTC by meme23
Modified: 2010-06-28 14:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:17:36 UTC


Attachments (Terms of Use)

Description meme23 2009-08-25 08:24:46 UTC
Description of problem:

Since this last release, 3.0-2.6.b3, one of my plugins has stopped working and the error console shows " Error: GetDBView is not defined
Source File: chrome://okopipi/content/okopipi.js
Line: 104" 

I checked the line and then checked up on GetDBView and it should already be defined by Thunderbird. Has GetDBView() been worked on recently?


Version-Release number of selected component (if applicable):  3.0-2.6.b3


How reproducible:
Hard to say, technically the plugin(Habu) is unsupported since thunderbird 2.0 but others(myself included) have been keeping it running since that time with no problems other than using the "nightly tester tools". That said, it works if I reinstall the previous versions and dies when I install this version.


Steps to Reproduce:
1. Install previous versions of tbird, + Habu.
2. Upgrade to 3.0-2.6.b3, Habu stops working. Why?

  
Actual results:
Plugin won't pull up a list of messages that meet a certain criteria

Expected results:
A list of messages marked as spam, put in a single email and addressed to a spam reporting agency. 

Additional info: I'm mostly curious about this because I'd like to maintain this plugin but can't really find enough info about GetDBView in regards to thunderbird, especially if, as I previously suggested, it were deprecated or what-have-you.

Comment 1 Bug Zapper 2010-04-28 09:57:37 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:17:36 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.